summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /games-board/gnubg
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'games-board/gnubg')
-rw-r--r--games-board/gnubg/Manifest2
-rw-r--r--games-board/gnubg/gnubg-1.04.000.ebuild106
-rw-r--r--games-board/gnubg/gnubg-1.05.000.ebuild106
-rw-r--r--games-board/gnubg/metadata.xml5
4 files changed, 219 insertions, 0 deletions
diff --git a/games-board/gnubg/Manifest b/games-board/gnubg/Manifest
new file mode 100644
index 00000000000..bdc11f2075c
--- /dev/null
+++ b/games-board/gnubg/Manifest
@@ -0,0 +1,2 @@
+DIST gnubg-release-1.04.000-sources.tar.gz 15021543 SHA256 66ca950d33d697f7a87605dfd3b83165ed756a927eaef164684914b9b0a14e3f SHA512 6f83d631d2978ef91829dd69a7de704eb4f194b7854bcebc5254315cd48bc09abf80ef27ba2b063514d2689313ffac7b4f20c62af6bf8ae3496f261ab25fe80c WHIRLPOOL 787ef3c8d33a475810aac5cba799001d435385554672a00c832dd1870006841bcd270f2bb6d77e9c990fa58300ced3d50a2a78cc2ae9f1ae94b30ef0c17c10a2
+DIST gnubg-release-1.05.000-sources.tar.gz 15030177 SHA256 a872810b82f17950be64b4f49a10da97634c5d8f39069288f64bd2eb78a4cddb SHA512 1d8080c362cb32a3828b6913823d0eb42b0befac7a9fbd6d5ee3346e7515f6150876ac3b8bd59d5fd0c0de2a03187441165bb82eff0ffa1fb84e385dcea58590 WHIRLPOOL efdc6a83112cb1aaf96db17dce186381e154f8b83ef72e90b8cf085ee583b76c6d8f25b8c38a6c7cf9abb68dc7f3ea8e7584413292e51d3456aec4e9f7c2c4da
diff --git a/games-board/gnubg/gnubg-1.04.000.ebuild b/games-board/gnubg/gnubg-1.04.000.ebuild
new file mode 100644
index 00000000000..8d851f59893
--- /dev/null
+++ b/games-board/gnubg/gnubg-1.04.000.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+inherit eutils python-single-r1 gnome2-utils games
+
+DESCRIPTION="GNU BackGammon"
+HOMEPAGE="http://www.gnubg.org/"
+SRC_URI="http://gnubg.org/media/sources/${PN}-release-${PV}-sources.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 ~arm ppc ppc64 x86 ~x86-fbsd"
+IUSE="cpu_flags_x86_avx gtk opengl python sqlite cpu_flags_x86_sse cpu_flags_x86_sse2 threads"
+
+RDEPEND="dev-libs/glib:2
+ media-libs/freetype:2
+ media-libs/libpng:0
+ x11-libs/cairo
+ x11-libs/pango
+ dev-db/sqlite:3
+ media-libs/libcanberra
+ dev-libs/libxml2
+ dev-libs/gmp:0
+ gtk? ( x11-libs/gtk+:2 )
+ opengl? (
+ x11-libs/gtk+:2
+ x11-libs/gtkglext
+ virtual/glu
+ )
+ sys-libs/readline:0
+ python? ( ${PYTHON_DEPS} )
+ media-fonts/dejavu
+ virtual/libintl"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ sys-devel/gettext"
+
+pkg_setup() {
+ games_pkg_setup
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ # use ${T} instead of /tmp for constructing credits (bug #298275)
+ sed -i -e 's:/tmp:${T}:' credits.sh || die
+ sed -i -e 's/fonts //' Makefile.in || die # handle font install ourself to fix bug #335774
+ sed -i \
+ -e '/^localedir / s#=.*$#= @localedir@#' \
+ -e '/^gnulocaledir / s#=.*$#= @localedir@#' \
+ po/Makefile.in.in || die
+ sed -i \
+ -e '/^gnubgiconsdir / s#=.*#= /usr/share#' \
+ -e '/^gnubgpixmapsdir / s#=.*#= /usr/share/pixmaps#' \
+ pixmaps/Makefile.in || die
+}
+
+src_configure() {
+ local simd=no
+ local gtk_arg=--without-gtk
+
+ if use gtk || use opengl ; then
+ gtk_arg=--with-gtk
+ fi
+ use cpu_flags_x86_sse && simd=sse
+ use cpu_flags_x86_sse2 && simd=sse2
+ use cpu_flags_x86_avx && simd=avx
+ egamesconf \
+ --localedir=/usr/share/locale \
+ --docdir=/usr/share/doc/${PF}/html \
+ --disable-cputest \
+ --enable-simd=${simd} \
+ ${gtk_arg} \
+ $(use_enable threads) \
+ $(use_with python) \
+ $(use_with sqlite sqlite) \
+ $(use_with opengl board3d)
+}
+
+src_install() {
+ default
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins ${PN}.weights *bd
+ dodir "${GAMES_DATADIR}"/${PN}/fonts
+ dosym /usr/share/fonts/dejavu/DejaVuSans.ttf "${GAMES_DATADIR}"/${PN}/fonts/Vera.ttf
+ dosym /usr/share/fonts/dejavu/DejaVuSans-Bold.ttf "${GAMES_DATADIR}"/${PN}/fonts/VeraBd.ttf
+ dosym /usr/share/fonts/dejavu/DejaVuSerif-Bold.ttf "${GAMES_DATADIR}"/${PN}/fonts/VeraSeBd.ttf
+ make_desktop_entry "gnubg -w" "GNU Backgammon"
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/games-board/gnubg/gnubg-1.05.000.ebuild b/games-board/gnubg/gnubg-1.05.000.ebuild
new file mode 100644
index 00000000000..90c280ab76a
--- /dev/null
+++ b/games-board/gnubg/gnubg-1.05.000.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+inherit eutils python-single-r1 gnome2-utils games
+
+DESCRIPTION="GNU BackGammon"
+HOMEPAGE="http://www.gnubg.org/"
+SRC_URI="http://gnubg.org/media/sources/${PN}-release-${PV}-sources.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~x86-fbsd"
+IUSE="cpu_flags_x86_avx gtk opengl python sqlite cpu_flags_x86_sse cpu_flags_x86_sse2 threads"
+
+RDEPEND="dev-libs/glib:2
+ media-libs/freetype:2
+ media-libs/libpng:0
+ x11-libs/cairo
+ x11-libs/pango
+ dev-db/sqlite:3
+ media-libs/libcanberra
+ dev-libs/libxml2
+ dev-libs/gmp:0
+ gtk? ( x11-libs/gtk+:2 )
+ opengl? (
+ x11-libs/gtk+:2
+ x11-libs/gtkglext
+ virtual/glu
+ )
+ sys-libs/readline:0
+ python? ( ${PYTHON_DEPS} )
+ media-fonts/dejavu
+ virtual/libintl"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ sys-devel/gettext"
+
+pkg_setup() {
+ games_pkg_setup
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ # use ${T} instead of /tmp for constructing credits (bug #298275)
+ sed -i -e 's:/tmp:${T}:' credits.sh || die
+ sed -i -e 's/fonts //' Makefile.in || die # handle font install ourself to fix bug #335774
+ sed -i \
+ -e '/^localedir / s#=.*$#= @localedir@#' \
+ -e '/^gnulocaledir / s#=.*$#= @localedir@#' \
+ po/Makefile.in.in || die
+ sed -i \
+ -e '/^gnubgiconsdir / s#=.*#= /usr/share#' \
+ -e '/^gnubgpixmapsdir / s#=.*#= /usr/share/pixmaps#' \
+ pixmaps/Makefile.in || die
+}
+
+src_configure() {
+ local simd=no
+ local gtk_arg=--without-gtk
+
+ if use gtk || use opengl ; then
+ gtk_arg=--with-gtk
+ fi
+ use cpu_flags_x86_sse && simd=sse
+ use cpu_flags_x86_sse2 && simd=sse2
+ use cpu_flags_x86_avx && simd=avx
+ egamesconf \
+ --localedir=/usr/share/locale \
+ --docdir=/usr/share/doc/${PF}/html \
+ --disable-cputest \
+ --enable-simd=${simd} \
+ ${gtk_arg} \
+ $(use_enable threads) \
+ $(use_with python) \
+ $(use_with sqlite sqlite) \
+ $(use_with opengl board3d)
+}
+
+src_install() {
+ default
+ insinto "${GAMES_DATADIR}/${PN}"
+ doins ${PN}.weights *bd
+ dodir "${GAMES_DATADIR}"/${PN}/fonts
+ dosym /usr/share/fonts/dejavu/DejaVuSans.ttf "${GAMES_DATADIR}"/${PN}/fonts/Vera.ttf
+ dosym /usr/share/fonts/dejavu/DejaVuSans-Bold.ttf "${GAMES_DATADIR}"/${PN}/fonts/VeraBd.ttf
+ dosym /usr/share/fonts/dejavu/DejaVuSerif-Bold.ttf "${GAMES_DATADIR}"/${PN}/fonts/VeraSeBd.ttf
+ make_desktop_entry "gnubg -w" "GNU Backgammon"
+ prepgamesdirs
+}
+
+pkg_preinst() {
+ games_pkg_preinst
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/games-board/gnubg/metadata.xml b/games-board/gnubg/metadata.xml
new file mode 100644
index 00000000000..d3c2cc926f0
--- /dev/null
+++ b/games-board/gnubg/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>